## prog.io.menuTesto
Class Menu

    java.lang.Object
      prog.io.menuTesto.Menu

    public class Menu

extends java.lang.Object

Modella un menu per un'interfaccia a caratteri.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Mauro Ferrari

Constructor Summary
`Menu(VoceMenu[] menu, ConsoleInputManager in, ConsoleOutputManager out)` Costruisce un menu con le voci specificate in `menu` e usa come canali di input e outptut quelli specificati.

Method Summary
`char` `presenta()` Presenta il menu sul canale di output, legge la scelta fatta e la restituisce.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Menu

    public Menu(VoceMenu[] menu,
                ConsoleInputManager in,
                ConsoleOutputManager out)

  Costruisce un menu con le voci specificate in `menu` e usa come canali di input e outptut quelli specificati. Si verifica un errore in fase di esecuzione se l'array `menu` ha lunghezza zero oppure contiene pił voci del menu con il medesimo carattere di scelta.

  Parameters:
    `menu` - l'array con le istanze di `VoceMenu` che lo costituiscono.
    `in` - il canale di input da utilizzare per selezionare una voce del menu.
    `out` - il canale di output utilizzato per visualizzare il menu.

Method Detail

### presenta

    public char presenta()

  Presenta il menu sul canale di output, legge la scelta fatta e la restituisce.

  Returns:
    il carattere corrispondente alla scelta fatta dall'utente.